# Revoke content access Revokes all fine-grained access grants for a principal on one or more entities. Request: entityIds - List of entity IDs to revoke access on. principalResourceId - The resource ID of the user or group whose access is being revoked. Response: entityIds - List of entity IDs for which access was successfully revoked. Endpoint: POST /api/v1/access-control/revoke-access Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `entityIds` (array) - `principalResourceIds` (array) ## Response 200 fields (application/json): - `revokeAccessResult` (array) - `revokeAccessResult.principalResourceId` (string) Rule data fields - `revokeAccessResult.entityIds` (array) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)